using Lada.Framework.Data.Domains.Cms;
using Lada.Framework.Data.Mappings.EntityMappings.Cms;
using Microsoft.EntityFrameworkCore;

namespace Lada.Framework.Data.Mappings.DbContexts
{
    public partial class LadaDbContext
    {
        private void ApplyCMSMappings(ModelBuilder builder)
        {
            builder.RegisterEntityMapping<Post, PostMap>()
                .RegisterEntityMapping<Topic, TopicMap>()
                .RegisterEntityMapping<Category, CategoryMap>()
                .RegisterEntityMapping<Faq, FaqMap>()
                .RegisterEntityMapping<Keyword, KeywordMap>()
                .RegisterEntityMapping<RelateContent, RelateContentMap>()
                .RegisterEntityMapping<Tag, TagMap>()
                .RegisterEntityMapping<Product, ProductMap>()
                .RegisterEntityMapping<PostTag, PostTagMap>()
                .RegisterEntityMapping<ProductTag, ProductTagMap>()
                .RegisterEntityMapping<PostCategory, PostCategoryMap>()
                .RegisterEntityMapping<ProductCategory, ProductCategoryMap>()
                .RegisterEntityMapping<UrlRecord, UrlRecordMap>()
                .RegisterEntityMapping<ScriptConfig, ScriptConfigMap>();
        }

    }
}
